Name:          portals-pom
Version:       1.3
Release:       %mkrel 1
Summary:       Apache Portals (parent pom)
Group:         Development/Java
License:       ASL 2.0
Url:           http://portals.apache.org/
# svn export http://svn.apache.org/repos/asf/portals/portals-pom/tags/portals-pom-1.3
# tar czf portals-pom-1.3-src-svn.tar.gz portals-pom-1.3
Source0:       portals-pom-1.3-src-svn.tar.gz

# remove org.codehaus.mojo ianal-maven-plugin 1.0-alpha-1
Patch0:        portals-pom-1.3-pom.patch
BuildRequires: jpackage-utils

Requires:      apache-rat-plugin
Requires:      maven-clean-plugin

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Apache Portals is a collaborative software development project dedicated to providing robust, full-featured,
commercial-quality, and freely available Portal related software on a wide variety of platforms and programming languages.
This project is managed in cooperation with various individuals worldwide (both independent and company-affiliated experts),
who use the Internet to communicate, plan, and develop Portal software and related documentation.

%prep
%setup -q -n portals-pom-%{version}
%patch0 -p0

for d in LICENSE NOTICE ; do
  iconv -f iso8859-1 -t utf-8 $d > $d.conv && mv -f $d.conv $d
  sed -i 's/\r//' $d
done

%build

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc NOTICE LICENSE


%changelog

* Wed Oct 05 2011 gil <gil> 1.3-1.mga2
+ Revision: 151787
- imported package portals-pom

